<?php

require_once("include/session.php");
require_once("include/configuracion.php");






$sql="SELECT * FROM fum_camara where id=".$camara;
$resultado=mssql_query($sql,$conn) or die ("No puede leer camara"); 
if (!$resultado) { echo "<b>Error de busqueda</b>"; exit; }

$filas=rows_affected();
 if ($filas==0) { echo "No se encontro ningun registro\n"; exit; }


$digitales=array("pulpa1","pulpa2","pulpa3","pulpa4","pulpa5","pulpa6","pulpa7","pulpa8","pulpa9","ambiente1","ambiente2","evaporador");
 
 for($cont=0;$cont<$filas;$cont++) { 
	foreach($digitales as $i) {
		$temp[$i]=mssql_result($resultado,$cont,$i); 
		if ($temp[$i]!=0) {
			$sql="SELECT * from motorlecturas WHERE lecturadirmodulo=".$temp[$i]." and lecturadirmemoria=257";
			$resultado2=mssql_query($sql,$conn) or die ("No puede leer motorlectura"); 
			$conectado=mssql_result($resultado2,0,"lecturavalor");
			$conectado=$conectado & 0x03;
			mssql_free_result($resultado2);
			$sql="SELECT * from motorlecturas WHERE lecturadirmodulo=".$temp[$i]." and lecturadirmemoria=256";
			$resultado2=mssql_query($sql,$conn) or die ("No puede leer motorlectura"); 
			$temperatura[$i][$camara]=mssql_result($resultado2,0,"lecturavalor");
			if ($conectado==0x03) {
				$temperatura[$i][$camara]=-666;
				} else {
				$temperatura[$i][$camara]=$temperatura[$i][$camara];
			};				
		}		
	}
	$digitales=array("dumper","ventilador","valvula");
	mssql_free_result($resultado2);
	foreach($digitales as $dig) {
		$tmp=mssql_result($resultado,0,$dig); 
		$sql="SELECT * from motorlecturas WHERE lecturadirmodulo=".$tmp." and lecturadirmemoria=1280";
		$resultado2=mssql_query($sql,$conn) or die ("No puede leer motorlectura"); 
		$valor=mssql_result($resultado2,0,"lecturavalor");		
		if ($valor==256) {
			$temperatura[$dig][$camara]=1;
		} else	{
			$temperatura[$dig][$camara]=-1;
		}
	}; // for

}  


?>